%global pypi_name requirements-parser
%global commitId 52f802c77573c0e64240cd47246de01ffbf96c0c

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.2.0
Release:        4%{?dist}
Summary:        Parses Pip requirement files

License:        BSD
URL:            https://github.com/madpah/requirements-parser
Source0:        python-requirements-parser-52f802c77573c0e64240cd47246de01ffbf96c0c.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{summary}

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:   %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.rst
%doc README.rst
%{python3_sitelib}/requirements
%{python3_sitelib}/requirements_parser-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Feb 24 2022 Satoe Imaishi <simaishi@redhat.com> - 0.2.0-4
- Build for python39

* Tue Apr 13 2021 Satoe Imaishi <simaishi@redhat.com> - 0.2.0-3
- Change component name to python38-

* Mon Apr 12 2021 Satoe Imaishi <simaishi@redhat.com> - 0.2.0-2
- Use python 3.8

* Thu Nov 05 2020 Evgeni Golov - 0.2.0-1
- Initial package.
